/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.icons;

import java.net.URL;

/**
 * Toolbar Icons
 * 
 * @author Werner Koppelsttter
 */
public class IconToolbar {

	/** Package of icons */
	private static final String pack = "/" + IconToolbar.class.getPackage().getName().replace('.', '/') + "/";

	/** Icon for new project */
	public final static URL NEW = IconToolbar.class.getResource(IconToolbar.pack + "New.png");
	/** Icon for open project */
	public final static URL OPEN = IconToolbar.class.getResource(IconToolbar.pack + "Open.png");
	/** Icon for save project */
	public final static URL SAVE = IconToolbar.class.getResource(IconToolbar.pack + "Save.png");
	/** Icon for cut */
	public final static URL CUT = IconToolbar.class.getResource(IconToolbar.pack + "Cut.png");
	/** Icon for copy */
	public final static URL COPY = IconToolbar.class.getResource(IconToolbar.pack + "Copy.png");
	/** Icon for paste */
	public final static URL PASTE = IconToolbar.class.getResource(IconToolbar.pack + "Paste.png");
	/** Icon for duplicate dataset */
	public final static URL DUPLICATE = IconToolbar.class.getResource(IconToolbar.pack + "Duplicate.png");
	/** Icon for reduce dataset */
	public final static URL REDUCE = IconToolbar.class.getResource(IconToolbar.pack + "Reduce.png");
	/** Icon for refresh project */
	public final static URL REFRESH = IconToolbar.class.getResource(IconToolbar.pack + "Refresh.png");
	/** Icon for check project */
	public final static URL CHECK = IconToolbar.class.getResource(IconToolbar.pack + "Check.png");
	/** Icon for regenerate project */
	public final static URL REGENERATE = IconToolbar.class.getResource(IconToolbar.pack + "Regenerate.png");
	/** Icon for move parameter down */
	public final static URL UP = IconToolbar.class.getResource(IconToolbar.pack + "Up.png");
	/** Icon for move parameter up */
	public final static URL DOWN = IconToolbar.class.getResource(IconToolbar.pack + "Down.png");
	/** Icon for show */
	public final static URL SHOW = IconToolbar.class.getResource(IconToolbar.pack + "Show.png");
	/** Icon for JobManager */
	public final static URL JOBMANAGER = IconToolbar.class.getResource(IconToolbar.pack + "jobmanager.png");
	/** Icon for Macro */
	public final static URL MACRO = IconToolbar.class.getResource(IconToolbar.pack + "Macro.png");

}
