/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 10061 $
 * $Date: 2020-11-18 18:02:27 +0100 (Wed, 18 Nov 2020) $
 */
package at.lcm.symspace.center.utils;

import java.awt.Component;

import at.lcm.bu21.general.utils.FileUtils;
import at.lcm.bu21.magopt.utils.MagOptConfig;
import at.lcm.symspace.gui.utils.MacroDialog;

/**
 * Select and run macro (python script) for center
 *
 * @author Werner Koppelsttter
 */
public class CenterMacroDialog extends MacroDialog {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	public CenterMacroDialog(Component owner) {
		super(owner);

		this.sysmacros = FileUtils.getFile(MagOptConfig.getHome(), "System", "Python", "scripts");
		this.init();

		this.setVisible(true);
	}
}
