/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.gui;

import java.awt.Component;
import java.awt.Image;
import java.util.LinkedList;

/**
 * About-dialog
 *
 * @author Werner Koppelsttter
 */
public class About extends Splash {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	/**
	 * Create about-screen
	 * 
	 * @param parent
	 *            Parent frame
	 * @param icons
	 *            Icon images
	 */
	public About(Component parent, LinkedList<Image> icons) {
		this.init();

		this.setTitle("About SyMSpace");
		this.setLocationRelativeTo(parent);
		this.setIconImages(icons);
		this.setUndecorated(false);

		this.setLocation(parent.getX() + ((parent.getWidth() - this.getWidth()) / 2),
				parent.getY() + ((parent.getHeight() - this.getHeight()) / 2));
	}
}
