/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9713 $
 * $Date: 2020-03-19 09:28:58 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.magopt.structure.converter;

import java.io.File;

import at.lcm.bu21.general.utils.XMLNode;

/**
 * Convert to V_0_18.
 * 
 * - Change path of docFiles
 * 
 * @author Werner Koppelsttter
 */
public class Converter_18 {

	/**
	 * Convert the given node
	 * 
	 * @param node
	 *            Data to convert
	 * @return Changed data node
	 */
	static XMLNode convert(XMLNode node) {
		// Convert Parameter
		Converter_18.changeDocFiles(node);

		return node;
	}

	/**
	 * Change path of docFiles
	 * 
	 * @param node
	 *            Node to update
	 */
	private static void changeDocFiles(XMLNode node) {
		XMLNode item;
		String[] path;
		File file;

		if (node.getName().compareTo("DocFile") == 0) {
			item = node.getNode(2); // path
			if ((item.getText().charAt(0) == '.')) {
				path = item.getText().split("\\\\");
				file = new File(".");
				for (int i = 3; i < path.length; i++) {
					file = new File(file, path[i]);
				}
				item.setText(file.getPath());
			}
		}

		// next Node
		for (XMLNode n : node.getNodes()) {
			Converter_18.changeDocFiles(n);
		}
	}
}
