/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui;

import magopt.gui.helpers.JProgressDialog;

/**
 * Adds or Removes a Config in a non-EDT Thread.
 * 
 * @author Aigner Markus
 * 
 */
public class ConfigThread extends BaseThread {
	private boolean mAdd;

	protected ConfigThread(MagOptGui gui, boolean add) {
		super(gui);
		this.mAdd = add;

		if (add == true) {
			this.mPD = new JProgressDialog(gui, "Add Config", "Adding ...");
		} else {
			this.mPD = new JProgressDialog(gui, "Remove Config", "Removing ...");
		}
	}

	@Override
	protected Void doInBackground() throws Exception {
		if (this.mAdd == true) {
			this.mGui.mProject.duplicate();
		} else {
			this.mGui.mProject.reduce();
		}
		return null;
	}

	@Override
	protected void done() {
		this.mGui.updateViewComponent();
		this.mGui.updateEventComponent();
		this.mGui.updateIndexComponent();
		this.mPD.setVisible(false);
	}
}
