/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.view;

import java.awt.BorderLayout;
import java.util.LinkedList;

import javax.swing.JPanel;

/**
 * 
 * @author Aigner Markus
 * 
 */
public abstract class ParamBaseNoScroll extends JPanel {
	private static final long serialVersionUID = 1L;
	private LinkedList<ParamListener> mListener = new LinkedList<ParamListener>();

	public ParamBaseNoScroll() {
		this.setOpaque(true);
		this.setLayout(new BorderLayout());
	}

	public void addParamListener(ParamListener newListener) {
		this.mListener.add(newListener);
	}

	public void removeParamListener(ParamListener listener) {
		this.mListener.remove(listener);
	}

	public ParamListener[] getParamListener() {
		return this.mListener.toArray(new ParamListener[0]);
	}

	protected void fireParamChanged() {
		for (ParamListener l : this.mListener) {
			l.parameterChanged();
		}
	}

	abstract protected void update();
}
