#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9639 $
$LastChangedDate:: 2020-02-12 13:38:34 +0100#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
from symspace.generic_gui_qt import GUIFormThread
from symspace.console.script_utils import ScriptUtils


def main():
    start_path = ''
    file_type = 'Python files (*.py)'

    form_title = 'My GUI'
    form_elements = [('Browse directory', 'browse', start_path),
                     ('Line', 'line'),
                     ('Checkbox', 'checkbox', True),
                     ('Browse / open file', 'browse_file', '', file_type),
                     ('Browse / save file', 'save_file'),
                     ('Combobox', 'combobox', ['a', 'b', 'c']),
                     ]
    form = GUIFormThread(form_title, form_elements)
    form.start()

    if form.accept:
        pass

    else:
        print('Cancelled by user')


if __name__ == '__main__':
    """
    Run Python GUI script
    """

    ScriptUtils.runWithoutParams(main)
