#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 10062 $
$LastChangedDate:: 2020-11-20 13:22:02 +0100#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import os
from symspace.wrapper.symwrapper import SymProject, SymParameter, SymContainer
from symspace.gui.newpythonfnc import NewPythonFncGUI
from symspace.console.script_utils import ScriptUtils


def main(project: SymProject, parameter: SymParameter):
    if not isinstance(parameter, SymContainer):
        parameter = parameter.getParent()
    if isinstance(parameter, SymProject) or isinstance(parameter, SymContainer):
        dirpath = os.path.join(project.getDirectory(), 'src')
        gui = NewPythonFncGUI(parameter, dirpath)
        gui.start()
        print('Script finished successfully')
    else:
        raise Exception('The selected object has to be a Container subtype!')


if __name__ == '__main__':
    """
    This script creates a new python function.
    
    This script needs to be executed in the SyMSpace Python Console.
    """
    _params = locals()
    _project = ScriptUtils.getProject(_params)
    _parameter = ScriptUtils.getParameter(_params)
    if _project is not None:
        ScriptUtils.run(main, _project, _parameter)
    else:
        ScriptUtils.showNoProjectWarning()



