#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

LastChangedRevision
$LastChangedDate::                           $

This file is part of SyMSpace

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import os


class SyMSpaceConfig(object):

    def __init__(self):
        self.params_dict = None
        self.setParamsDict()

    def getHome(self):
        path = None

        try:
            path = __file__

            new_path = path
            for _ in range(6):
                new_path = os.path.split(new_path)[0]
                # print('new_path: ', new_path)

            path = new_path
        except Exception as e:
            print(e)

        return path

    def setParamsDict(self):

        if os.path.isfile(os.path.join(self.getHome(), 'config.local')):
            file_path = os.path.join(self.getHome(), 'config.local')
        else:
            file_path = os.path.join(self.getHome(), 'config')

        with open(file_path) as file:
            content = file.readlines()

        self.params_dict = {}
        for line in content:
            line = line.rstrip()
            if line and not line.startswith('#'):
                key, value = line.split('=')
                key = key.strip()
                value = value.strip()
                self.params_dict[key] = value

    def getParamsDict(self):
        return self.params_dict

    def getConfig(self, param):

        if self.params_dict is None:
            self.setParamsDict()

        if param in self.params_dict:
            return self.params_dict[param]
        else:
            return None
